> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# seedance-1.0-pro-fast-t2v

> Generate a video from text using the doubao-seedance-1-0-pro-fast-251015 model.



## OpenAPI

````yaml api-reference/model-api/bytedance/openapi/doubao-seedance-1-0-pro-fast-251015-t2v/openapi.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: Seedance 1.0 Pro Fast t2v
  description: ByteDance Seedance 1.0 Pro Fast text-to-video generation via Anyfast API
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /v1/video/generations:
    post:
      summary: Create Text-to-Video Task
      description: >-
        Generate a video from text using the doubao-seedance-1-0-pro-fast-251015
        model.
      operationId: createSeedance10ProFastT2v
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - content
              properties:
                model:
                  type: string
                  enum:
                    - doubao-seedance-1-0-pro-fast-251015
                  description: Model ID
                  example: doubao-seedance-1-0-pro-fast-251015
                content:
                  type: array
                  minItems: 1
                  description: Content array with a text prompt.
                  items:
                    type: object
                    required:
                      - type
                      - text
                    properties:
                      type:
                        type: string
                        enum:
                          - text
                      text:
                        type: string
                        description: Text prompt for video generation.
                ratio:
                  type: string
                  enum:
                    - '16:9'
                    - '4:3'
                    - '1:1'
                    - '3:4'
                    - '9:16'
                    - '21:9'
                  default: '16:9'
                  description: Aspect ratio. adaptive is NOT supported for t2v.
                  example: '16:9'
                resolution:
                  type: string
                  enum:
                    - 480p
                    - 720p
                    - 1080p
                  default: 720p
                  description: Output resolution.
                  example: 720p
                duration:
                  type: integer
                  minimum: 2
                  maximum: 12
                  default: 5
                  description: Video duration in seconds (2-12).
                  example: 5
                watermark:
                  type: boolean
                  default: false
                  description: Whether to include watermark.
                seed:
                  type: integer
                  description: Random seed for reproducibility.
                camera_fixed:
                  type: boolean
                  default: false
                  description: Fix camera position.
      responses:
        '200':
          description: Task created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: gen-abc123
                  model:
                    type: string
                    example: doubao-seedance-1-0-pro-fast-251015
                  status:
                    type: string
                    example: processing
                  created_at:
                    type: integer
                    example: 1773130665
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````